[API Reference](../README.md) > [GenesisProtocolDaoTokenBalances](../interfaces/GenesisProtocolDaoTokenBalances.md)

# Interface: GenesisProtocolDaoTokenBalances

## Hierarchy

**GenesisProtocolDaoTokenBalances**

## Index

### Properties

* [nativeToken](GenesisProtocolDaoTokenBalances.md#nativeToken)
* [nativeTokenBalance](GenesisProtocolDaoTokenBalances.md#nativeTokenBalance)
* [stakingToken](GenesisProtocolDaoTokenBalances.md#stakingToken)
* [stakingTokenBalance](GenesisProtocolDaoTokenBalances.md#stakingTokenBalance)

---

## Properties

<a id="nativeToken"></a>

###  nativeToken

**● nativeToken**: *`any`*

*Defined in [wrappers/genesisProtocol.ts:1372](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/genesisProtocol.ts#L1372)*

The native token's truffle contract

___
<a id="nativeTokenBalance"></a>

###  nativeTokenBalance

**● nativeTokenBalance**: *`BigNumber`*

*Defined in [wrappers/genesisProtocol.ts:1376](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/genesisProtocol.ts#L1376)*

The avatar's balance off native tokens, in Wei

___
<a id="stakingToken"></a>

###  stakingToken

**● stakingToken**: *`any`*

*Defined in [wrappers/genesisProtocol.ts:1380](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/genesisProtocol.ts#L1380)*

The standard token's truffle contract

___
<a id="stakingTokenBalance"></a>

###  stakingTokenBalance

**● stakingTokenBalance**: *`BigNumber`*

*Defined in [wrappers/genesisProtocol.ts:1384](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/genesisProtocol.ts#L1384)*

The avatar's balance of staking tokens, in Wei

___

